## org.mortbay.jetty.handler.rewrite
Class ResponsePatternRule

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.PatternRule
              org.mortbay.jetty.handler.rewrite.ResponsePatternRule

    public class ResponsePatternRule

extends PatternRule

Sends the response code whenever the rule finds a match.

Field Summary

Fields inherited from class org.mortbay.jetty.handler.rewrite.PatternRule
`_pattern`

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`ResponsePatternRule()`

Method Summary
`java.lang.String` `apply(java.lang.String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Apply the rule to the request
`void` `setCode(java.lang.String code)` Sets the response status code.
`void` `setReason(java.lang.String reason)` Sets the reason for the response status code.
`java.lang.String` `toString()` Returns the code and reason string.

Methods inherited from class org.mortbay.jetty.handler.rewrite.PatternRule
`getPattern, matchAndApply, setPattern`

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResponsePatternRule

    public ResponsePatternRule()

Method Detail

### setCode

    public void setCode(java.lang.String code)

  Sets the response status code.

  Parameters:
    `code` - response code

### setReason

    public void setReason(java.lang.String reason)

  Sets the reason for the response status code. Reasons will only reflect if the code value is greater or equal to 400.

  Parameters:
    `reason` -

### apply

    public java.lang.String apply(java.lang.String target,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws java.io.IOException

  Description copied from class: `PatternRule`
  Apply the rule to the request

  Specified by:
    `apply` in class `PatternRule`
  Parameters:
    `target` - field to attempt match
    `request` - request object
    `response` - response object
  Returns:
    The target (possible updated)
  Throws:
    `java.io.IOException` - exceptions dealing with operating on request or response objects

### toString

    public java.lang.String toString()

  Returns the code and reason string.

  Overrides:
    `toString` in class `PatternRule`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.